#==============================================================================
# package      DE_EPAGES::Amazon::UI::Shop
# state        private
#==============================================================================
package DE_EPAGES::Amazon::UI::Shop;
use base DE_EPAGES::Presentation::UI::Object;

use strict;
use DE_EPAGES::Trigger::API::Trigger qw ( TriggerHook );

#==============================================================================
# Event handlers
#==============================================================================
sub UnityViewAmazonPortalList {
    my $self = shift;
    my ($Servlet) = @_;

    # trigger hook to allow the adding of context sensitive apps
    TriggerHook('UI_Shop_UnityViewAmazonPortalList', { 'Servlet' => $Servlet });

    return $self->SUPER::View($Servlet);
}

1;
